/***********************************************************************************************************************
 *
 * blueBill Mobile - open source birdwatching
 * ==========================================
 *
 * Copyright (C) 2009, 2010 by Tidalwave s.a.s. (http://www.tidalwave.it)
 * http://bluebill.tidalwave.it/mobile/
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * $Id: MediaControllerAdapter.java,v 2526ddd23d5e 2010/06/18 21:50:46 fabrizio $
 *
 **********************************************************************************************************************/
package it.tidalwave.mobile.android.media;

import javax.annotation.Nonnegative;
import javax.annotation.Nonnull;
import it.tidalwave.mobile.media.MediaPlayer;
import it.tidalwave.mobile.media.MediaPlayer.Controller;
import android.widget.MediaController.MediaPlayerControl;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id: $
 *
 **********************************************************************************************************************/
public class MediaControllerAdapter implements MediaPlayerControl
  {
    @Nonnull
    private final MediaPlayer.Controller control;

    public MediaControllerAdapter (final @Nonnull Controller control)
      {
        this.control = control;
      }

    public void start()
      {
        control.start();
      }

    public void pause()
      {
        control.pause();
      }

    @Nonnegative
    public int getDuration()
      {
        return control.getDuration();
      }

    @Nonnegative
    public int getCurrentPosition()
      {
        return control.getPosition();
      }

    public void seekTo (final @Nonnegative int position)
      {
        control.setPosition(position);
      }

    public boolean isPlaying()
      {
        return control.isPlaying();
      }

    @Nonnegative
    public int getBufferPercentage()
      {
        return 100;
      }
  }
